<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ppu__sl__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ppu_sl_cfg_t</compoundname>
    <includes local="no">cy_prot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ppu__sl__cfg__t_1a65a3a0084a64f3b39da01c9a64fcf45b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_sl_cfg_t::userPermission</definition>
        <argsstring />
        <name>userPermission</name>
        <briefdescription>
<para>User permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="936" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="936" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__sl__cfg__t_1af351789e792169ec0afd9af5680fa233" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_sl_cfg_t::privPermission</definition>
        <argsstring />
        <name>privPermission</name>
        <briefdescription>
<para>Privileged permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="937" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="937" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__sl__cfg__t_1ad499cf17ca9121c58700ee6e9584c882" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_sl_cfg_t::secure</definition>
        <argsstring />
        <name>secure</name>
        <briefdescription>
<para>Non Secure = 0, Secure = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="938" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="938" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__sl__cfg__t_1a47592ce9bc57c037288a10f3ebdd15c5" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_sl_cfg_t::pcMatch</definition>
        <argsstring />
        <name>pcMatch</name>
        <briefdescription>
<para>Access evaluation = 0, Matching = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="939" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="939" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__sl__cfg__t_1aa636bf5343a8309110ec1337906ea07c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ppu_sl_cfg_t::pcMask</definition>
        <argsstring />
        <name>pcMask</name>
        <briefdescription>
<para>Mask of allowed protection context(s) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="940" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="940" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for Fixed Slave (SL) PPU (PPU_SL) struct initialization. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="941" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="934" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="935" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ppu__sl__cfg__t_1aa636bf5343a8309110ec1337906ea07c" virt="non-virtual"><scope>cy_stc_ppu_sl_cfg_t</scope><name>pcMask</name></member>
      <member prot="public" refid="structcy__stc__ppu__sl__cfg__t_1a47592ce9bc57c037288a10f3ebdd15c5" virt="non-virtual"><scope>cy_stc_ppu_sl_cfg_t</scope><name>pcMatch</name></member>
      <member prot="public" refid="structcy__stc__ppu__sl__cfg__t_1af351789e792169ec0afd9af5680fa233" virt="non-virtual"><scope>cy_stc_ppu_sl_cfg_t</scope><name>privPermission</name></member>
      <member prot="public" refid="structcy__stc__ppu__sl__cfg__t_1ad499cf17ca9121c58700ee6e9584c882" virt="non-virtual"><scope>cy_stc_ppu_sl_cfg_t</scope><name>secure</name></member>
      <member prot="public" refid="structcy__stc__ppu__sl__cfg__t_1a65a3a0084a64f3b39da01c9a64fcf45b" virt="non-virtual"><scope>cy_stc_ppu_sl_cfg_t</scope><name>userPermission</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>